Package com.io7m.waxmill.machines

# Class WXMZFSVolume.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMZFSVolume.Builder

Enclosing class:
  WXMZFSVolume

    public static final class WXMZFSVolume.Builder
    extends java.lang.Object

Builds instances of type `WXMZFSVolume`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMZFSVolume` | `build()` | Builds a new `WXMZFSVolume`.
  `WXMZFSVolume.Builder` | `from​(WXMZFSVolumeType instance)` | Fill a builder with attribute values from the provided `WXMZFSVolumeType` instance.
  `WXMZFSVolume.Builder` | `setDevice​(java.nio.file.Path device)` | Initializes the value for the `device` attribute.
  `WXMZFSVolume.Builder` | `setName​(java.lang.String name)` | Initializes the value for the `name` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMZFSVolume.Builder from​(WXMZFSVolumeType instance)
    Fill a builder with attribute values from the provided `WXMZFSVolumeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setName

    public final WXMZFSVolume.Builder setName​(java.lang.String name)
    Initializes the value for the `name` attribute.
    Parameters:
      `name` - The value for name
    Returns:
      `this` builder for use in a chained invocation

  - ### setDevice

    public final WXMZFSVolume.Builder setDevice​(java.nio.file.Path device)
    Initializes the value for the `device` attribute.
    Parameters:
      `device` - The value for device
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMZFSVolume build()
    Builds a new `WXMZFSVolume`.
    Returns:
      An immutable instance of WXMZFSVolume
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing